%define ver     0.8.6
%define rel     2.4.20alt7
%define misc	2.4.20-alt7-up
%define prefix  /usr/local
%define name    pctel

Name: %name
Version: %ver
Release: %rel

Summary: Linux kernel module driver for PCTel based modems
License: GPL
Group: System/Kernel and hardware
Packager: Alex Yustasov <snmon@server.by>
Url: http://www.medres.ch/~jstifter/linux/pctel.html
Requires: /var/empty
Source: http://www.medres.ch/~jstifter/linux/pctel-0.8.6.tar.gz

Patch1: %name-%ver.patch.bz2
Patch2: %name-%ver-makefile.patch.bz2

%description
Linux kernel module driver for PCTel based modems.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
## Don't forget to export HAL envvar (like 'export HAL=pct789').
./configure --prefix=%prefix --with-hal=pct789
make

%install
make install prefix=$RPM_BUILD_ROOT%prefix moddir=$RPM_BUILD_ROOT/lib/modules/%misc/misc

%post
depmod -a
rm -f /dev/ttyS15 /dev/modem
mknod /dev/ttyS15 c 62 79
chgrp uucp /dev/ttyS15
chmod 666 /dev/ttyS15
ln -s /dev/ttyS15 /dev/modem

%files
/lib/modules/%misc/misc/pctel.o
/lib/modules/%misc/misc/ptserial.o
%prefix/include/pctel/pctel.h
%prefix/share/doc/pctel/*

%changelog
* Thu Apr 10 2003 Alex Yustasov <snmon@server.by> 0.8.6-2.4.20alt7
- for ALT

* Sun Aug 19 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
